Bug 31390 - IfController won't be evaluated again if it evaluates once to false in a test run
IfController won't be evaluated again if it evaluates once to false in a test...
Status: RESOLVED FIXED
Product: JMeter
Classification: Unclassified
Component: Main
2.0.1
All All
: P3 normal (vote)
: ---
Assigned To: JMeter issues mailing list
:
Depends on:
Blocks:
  Show dependency tree
 
Reported: 2004-09-23 22:24 UTC by j b
Modified: 2004-11-16 19:05 UTC (History)
0 users



Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description j b 2004-09-23 22:24:25 UTC
The if controller is removed from the parent's controller iter list once it
evaluates once to false because isDone() now returns true and the GenController
removes it. 

This causes a problem if you want a test run to react based on a regex based
variable in a loop controller. Basically once the controller evaluates to false
once it is no longer evaluated.
Comment 1 Sebb 2004-09-24 10:09:56 UTC
Known bug. Already fixed in CVS.